# -*- coding: utf-8 -*-
from setuphelpers import *


# -*- coding: utf-8 -*-
from setuphelpers import *

bin_path = makepath("/", "usr", "local", "bin")
app_path = "/opt/zotero"

def install():
    # Extraction and copying to /opt/zotero
    extract_path = glob.glob("*.tar.bz2")[0]
    run(f"tar -xjvf {extract_path}")
    extract_path = 'Zotero_linux-x86_64'
    bin_name = glob.glob(extract_path)[0]
    print(f"copying zotero to {app_path}")
    if not isdir(app_path):
        mkdirs(app_path)
    copytree2(bin_name, app_path)
    # Creation of symlink
    if not isfile(f"{bin_path}/zotero"):
        print("create zotero alias in path")
        os.symlink(f"{app_path}/zotero", f"{bin_path}/zotero")
    if isdir(extract_path):
        remove_tree(extract_path)
    

def uninstall():
    # Removing of symlink
    if isfile(f"{bin_path}/zotero"):
        remove_file(f"{bin_path}/zotero")
    # Removing of the software 
    if isdir(app_path):
        remove_tree(app_path)
